#!/bin/bash

if [ $# -gt 0 ]; then
  COMMIT=$1
  shift
else
  echo "Please specify a commit hash to check out"
  exit 1
fi

MODULE="$(basename $0 -git_checkout.sh)"

set -x
rm -rf $MODULE

git clone git://github.com/w3c/tidy-html5.git
cd tidy-html5
git archive --prefix $MODULE/ $COMMIT | gzip > ../$MODULE-${COMMIT}git.tar.gz
cd ..

## cleanup
rm -rf $MODULE

